Bug 214310 - command in menu entry does not use explicit path to /usr/bin/firstarter
command in menu entry does not use explicit path to /usr/bin/firstarter
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firestarter (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Damien Durand
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-06 19:09 EST by Kahlil Hodgson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-16 05:45:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kahlil Hodgson 2006-11-06 19:09:22 EST
Description of problem:

The 'command' for the firestarter entry in the System Tools menu does not use an
explicit path.  Depending on how the user has set their path, selecting this
entry will run either /usr/bin/firestarter (good) or /usr/sbin/firestarter (bad).

Version-Release number of selected component (if applicable):

1.0.3-14-fc6

How reproducible:

1. Set PATH=/usr/sbin:/sbin:/usr/local/bin:/usr/bin:/bin in your .profile

2. Log out and log in as non-root user.

3. Select firestarter from the System Tools menu

Actual results:

The firestarter command hashes to /usr/sbin/firestarter which is run as a
non-root user.  An 'Insufficient Priveleges' dialog in presented.

Expected results:

The explicit /usr/bin/firestarter command is a softlink to /sbin/consolehelper.
Running this gives you the graphical root password prompt, and if you provide
the correct root password, will run /usr/sbin/firestarter as root.

Additional info:

Compare this with the command entry for the 'Authentication' menu item.

Sorry, no idea how to fix this in the installation procedure :-)

Note You need to log in before you can comment on or make changes to this bug.